<?php
/*------------------------------------------------------------------------
# "Hot Elastic Slider" Joomla module
# Copyright (C) 2021 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotThemes
# Website: https://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/
 
// no direct access
defined('_JEXEC') or die('Direct Access to this location is not allowed.');

use Joomla\CMS\Helper\ModuleHelper;
use Joomla\CMS\Uri\Uri;

// Path assignments
$mosConfig_absolute_path = JPATH_SITE;
$mosConfig_live_site = URI :: base();
if(substr($mosConfig_live_site, -1)=="/") { $mosConfig_live_site = substr($mosConfig_live_site, 0, -1); }
 
// get parameters from the module's configuration
$linkNewWindow = $params->get('linkNewWindow','0');

for ($loop = 1; $loop <= 5; $loop += 1) {
$enableSlide[$loop] = $params->get('enableSlide'.$loop,'');
}

for ($loop = 1; $loop <= 5; $loop += 1) {
$image[$loop] = $params->get('image'.$loop,'');
$image[$loop] = explode("?", $image[$loop]);
}

for ($loop = 1; $loop <= 5; $loop += 1) {
$imageAlt[$loop] = $params->get('imageAlt'.$loop,'');
}

for ($loop = 1; $loop <= 5; $loop += 1) {
$imageHeading[$loop] = $params->get('imageHeading'.$loop,'');
}

for ($loop = 1; $loop <= 5; $loop += 1) {
$imageSubHeading[$loop] = $params->get('imageSubHeading'.$loop,'');
}

for ($loop = 1; $loop <= 5; $loop += 1) {
$imageText[$loop] = $params->get('imageText'.$loop,'');
}

for ($loop = 1; $loop <= 5; $loop += 1) {
$imageLinkArray[$loop] = $params->get('image'.$loop.'link','');
}

for ($loop = 1; $loop <= 5; $loop += 1) {
$imageTitleArray[$loop] = $params->get('image'.$loop.'title','');
}

$autoAnimation = $params->get('autoAnimation','true');
$animSpeed = $params->get('animSpeed','1000');
$pauseTime = $params->get('pauseTime','5000');
$easing = $params->get('easing','easeOutExpo');
$easingTitle = $params->get('easingTitle','easeOutExpo');
$moduleHeight = $params->get('moduleHeight','600px');
$moduleHeightTablet = $params->get('moduleHeightTablet','400px');
$moduleHeightPhone = $params->get('moduleHeightPhone','300px');
$textAreaWidth = $params->get('textAreaWidth','70%');
$textAreaLeft = $params->get('textAreaLeft','15%');
$textAreaBottom = $params->get('textAreaBottom','20%');
$textAreaPadding = $params->get('textAreaPadding','15px');
$textColor = $params->get('textColor','#000000');
$backgroundColor = $params->get('backgroundColor','0,0,0');
$backgroundOpacity = $params->get('backgroundOpacity','0.3');
$headingSize = $params->get('headingSize','48px');
$subHeadingSize = $params->get('subHeadingSize','24px');
$textSize = $params->get('textSize','14px');
$buttonSize = $params->get('buttonSize','14px');
$buttonColor = $params->get('buttonColor','#E2AC23');
$buttonTextColor = $params->get('buttonTextColor','#FFFFFF');
$navBg = $params->get('navBg','#EEEEEE');
$navBgHover = $params->get('navBgHover','#CCCCCC');
$navHeight = $params->get('navHeight','15px');

require ModuleHelper::getLayoutPath('mod_hot_elastic_slider', $params->get('layout', 'default'));